# This file was auto-generated by Fern from our API Definition.

from ..core.unchecked_base_model import UncheckedBaseModel
import pydantic
from .job_status import JobStatus
import datetime as dt
from ..core.pydantic_utilities import IS_PYDANTIC_V2
import typing


class LettaBatchResponse(UncheckedBaseModel):
    batch_id: str = pydantic.Field()
    """
    A unique identifier for this batch request.
    """

    status: JobStatus = pydantic.Field()
    """
    The current status of the batch request.
    """

    agent_count: int = pydantic.Field()
    """
    The number of agents in the batch request.
    """

    last_polled_at: dt.datetime = pydantic.Field()
    """
    The timestamp when the batch was last polled for updates.
    """

    created_at: dt.datetime = pydantic.Field()
    """
    The timestamp when the batch request was created.
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
